# CommandLine.ScopeType (picocli 4.5.2 API)

picocli

## Enum CommandLine.ScopeType

- java.lang.Object
- - java.lang.Enum<CommandLine.ScopeType>
  - - picocli.CommandLine.ScopeType

All Implemented Interfaces:
  Serializable, Comparable<CommandLine.ScopeType>

Enclosing class:
  CommandLine

    public static enum CommandLine.ScopeType
    extends Enum<CommandLine.ScopeType>

Specifies the scope of the element.

Since:
  4.3

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`INHERIT` The element exists in the command where the element is defined and all descendents (subcommands, sub-subcommands, etc.).
`LOCAL` The element only exists in the current command.

### Method Summary

All Methods Static Methods Concrete Methods
`static CommandLine.ScopeType` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static CommandLine.ScopeType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### LOCAL

    public static final CommandLine.ScopeType LOCAL

The element only exists in the current command.

#### INHERIT

    public static final CommandLine.ScopeType INHERIT

The element exists in the command where the element is defined and all descendents (subcommands, sub-subcommands, etc.).

### Method Detail

#### values

    public static CommandLine.ScopeType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (CommandLine.ScopeType c : CommandLine.ScopeType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static CommandLine.ScopeType valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null